<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: He_Arc::RPG::ISpell Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_spell.html">ISpell</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_he___arc_1_1_r_p_g_1_1_i_spell-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">He_Arc::RPG::ISpell Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>Interface class, for the different spell/skill who can be rise by characters.  
 <a href="class_he___arc_1_1_r_p_g_1_1_i_spell.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_i_spell_8hpp_source.html">ISpell.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for He_Arc::RPG::ISpell:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_he___arc_1_1_r_p_g_1_1_i_spell.png" usemap="#He_5FArc::RPG::ISpell_map" alt=""/>
  <map id="He_5FArc::RPG::ISpell_map" name="He_5FArc::RPG::ISpell_map">
<area href="class_he___arc_1_1_r_p_g_1_1_normal_damage_spell.html" title="Class for the normal damage spell/skill, that means it is rised by a character and it only apply dama..." alt="He_Arc::RPG::NormalDamageSpell" shape="rect" coords="0,56,207,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0a084940e3f8c49ffaf795d56789fe81"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_spell.html#a0a084940e3f8c49ffaf795d56789fe81">GetName</a> () const =0</td></tr>
<tr class="memdesc:a0a084940e3f8c49ffaf795d56789fe81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of the object.  <a href="class_he___arc_1_1_r_p_g_1_1_i_spell.html#a0a084940e3f8c49ffaf795d56789fe81">More...</a><br /></td></tr>
<tr class="separator:a0a084940e3f8c49ffaf795d56789fe81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50ff278f804165aa8efc8a81ae8dfc7c"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_spell.html#a50ff278f804165aa8efc8a81ae8dfc7c">GetRange</a> () const =0</td></tr>
<tr class="memdesc:a50ff278f804165aa8efc8a81ae8dfc7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Range (number of lane from the user of spell) where the spell can be used.  <a href="class_he___arc_1_1_r_p_g_1_1_i_spell.html#a50ff278f804165aa8efc8a81ae8dfc7c">More...</a><br /></td></tr>
<tr class="separator:a50ff278f804165aa8efc8a81ae8dfc7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ad086e14e97ce72f3465ab223302b7c45"><td class="memItemLeft" align="right" valign="top"><a id="ad086e14e97ce72f3465ab223302b7c45"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_spell.html#ad086e14e97ce72f3465ab223302b7c45">m_name</a> {&quot;Unnamed spell&quot;}</td></tr>
<tr class="memdesc:ad086e14e97ce72f3465ab223302b7c45"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the spell / skill. <br /></td></tr>
<tr class="separator:ad086e14e97ce72f3465ab223302b7c45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ee92c3e820f19c863cf1f25adb028e1"><td class="memItemLeft" align="right" valign="top"><a id="a9ee92c3e820f19c863cf1f25adb028e1"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_spell.html#a9ee92c3e820f19c863cf1f25adb028e1">m_range</a> {0}</td></tr>
<tr class="memdesc:a9ee92c3e820f19c863cf1f25adb028e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Range (number of lane from the user of spell) where the spell can be used. <br /></td></tr>
<tr class="separator:a9ee92c3e820f19c863cf1f25adb028e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Interface class, for the different spell/skill who can be rise by characters. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a0a084940e3f8c49ffaf795d56789fe81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a084940e3f8c49ffaf795d56789fe81">&#9670;&nbsp;</a></span>GetName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual string He_Arc::RPG::ISpell::GetName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the name of the object. </p>
<dl class="section return"><dt>Returns</dt><dd>string the name of the object </dd></dl>

<p>Implemented in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_normal_damage_spell.html#a3a837242232503e46254fa6d2968f674">He_Arc::RPG::NormalDamageSpell</a>.</p>

</div>
</div>
<a id="a50ff278f804165aa8efc8a81ae8dfc7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50ff278f804165aa8efc8a81ae8dfc7c">&#9670;&nbsp;</a></span>GetRange()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual int He_Arc::RPG::ISpell::GetRange </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Range (number of lane from the user of spell) where the spell can be used. </p>
<dl class="section return"><dt>Returns</dt><dd>int range of the spell </dd></dl>

<p>Implemented in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_normal_damage_spell.html#a67bcb41cb8ae0135e15a904c17024489">He_Arc::RPG::NormalDamageSpell</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>cpp_filrouge_iscj_allemann/include/Spell/<a class="el" href="_i_spell_8hpp_source.html">ISpell.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
